//data cleaning
use "C:\Users\user\Desktop\GSS7218_R1.DTA", clear
import excel "C:\Users\user\Documents\jackdata.xlsx", sheet("Sheet1") firstrow
label define sex 1 "male" 2 "female"
label values sex sex
label define race 1 "white" 2 "black" 3 "others"
label values race race
label define degree 0 "lt High School" 1 "High School" 2 "junior college" 3 "bachelor" 4 "graduate"
label values degree degree
drop if educ==2147483625
drop if educ==2147483630
drop if educ==2147483635
drop if hrs==2147483625
drop if hrs==2147483630
drop if hrs==2147483635
preserve
drop if hrs==89

//4
histogram hrs, frequency normal
sum hrs
xtsum hrs
sum educ
tab degree
tab sex
tab race
//5
xtreg hrs educ i.sex i.race, fe i(years)
estimates store fwy
xtreg hrs educ i.sex i.race, fe i(id)
estimates store fwu
//6
xtreg hrs educ i.sex i.race, re i(years)
estimates store rwy
xtreg hrs educ i.sex i.race, re i(id)
estimates store rwu
estimates table fwu fwy rwu rwy, star stats(N r2 r2_a)
//8
xtreg hrs educ sex race, re i(id)
xttest0
xtreg hrs educ sex race, re i(years)
xttest0
hausman fwy rwy
